# VecScatterEnd

Ends a generalized scatter from one vector to another. Call after first calling VecScatterBegin().

### Synopsis

    #include "petscis.h"
    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecScatterEnd(VecScatter ctx,Vec x,Vec y,InsertMode addv,ScatterMode mode)

Collective on VecScatter and Vec

### Input Parameters

| ctx | - scatter context generated by VecScatterCreate()
| x | - the vector from which we scatter
| y | - the vector to which we scatter
| addv | - either ADD_VALUES or INSERT_VALUES.
| mode | - the scattering mode, usually SCATTER_FORWARD. The available modes are: SCATTER_FORWARD, SCATTER_REVERSE

### Notes

If you use SCATTER_REVERSE the first two arguments should be reversed, from the SCATTER_FORWARD. y[iy[i]] = x[ix[i]], for i=0,...,ni-1

### See Also

VecScatterBegin(), VecScatterCreate()

Level:intermediate
Location: src/vec/vec/utils/vscat.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex33.c.html
src/snes/examples/tutorials/ex33f.F.html
src/dm/ao/examples/tutorials/ex2.c.html
src/dm/da/examples/tutorials/ex2.c.html
src/dm/da/examples/tutorials/ex6.c.html
src/dm/da/examples/tutorials/ex6f90.F.html